| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
_mate_config Struct Reference

Master MATE configuration, aggregating all PDU, GOP, and GOG type definitions. More...

`#include <mate.h>`

## Classes
struct | _mate_cfg_defaults
| Default values applied to newly created PDU, GOP, and GOG configurations. More...

## Public Attributes
int | hfid_mate
GArray * | wanted_hfids
unsigned | num_fields_wanted
FILE * | dbg_facility
char * | mate_lib_path
GHashTable * | pducfgs
GHashTable * | gopcfgs
GHashTable * | gogcfgs
GHashTable * | transfs
GPtrArray * | pducfglist
GHashTable * | gops_by_pduname
GHashTable * | gogs_by_gopname
GArray * | hfrs
int | ett_root
GArray * | ett
struct _mate_config::_mate_cfg_defaults | defaults
int | dbg_lvl
int | dbg_pdu_lvl
int | dbg_gop_lvl
int | dbg_gog_lvl
GPtrArray * | config_stack
GString * | config_error

## Detailed Description

Master MATE configuration, aggregating all PDU, GOP, and GOG type definitions.

## Member Data Documentation

## ◆ config_error

GString* _mate_config::config_error

Accumulated configuration parse error messages; NULL if no errors

## ◆ config_stack

GPtrArray* _mate_config::config_stack

Stack of mate_config_frame entries tracking nested Include files

## ◆ dbg_facility

FILE* _mate_config::dbg_facility

Output stream for debug messages; falls back to ws_message() if NULL

## ◆ dbg_gog_lvl

int _mate_config::dbg_gog_lvl

Debug verbosity level for GOG processing

## ◆ dbg_gop_lvl

int _mate_config::dbg_gop_lvl

Debug verbosity level for GOP processing

## ◆ dbg_lvl

int _mate_config::dbg_lvl

Global MATE debug verbosity level

## ◆ dbg_pdu_lvl

int _mate_config::dbg_pdu_lvl

Debug verbosity level for PDU processing

## ◆ ett

GArray* _mate_config::ett

Array of ett index pointers for all MATE subtrees

## ◆ ett_root

int _mate_config::ett_root

ett index for the MATE root subtree

## ◆ gogcfgs

GHashTable* _mate_config::gogcfgs

Hash table of GOG configurations, keyed by mate_cfg_gog::name

## ◆ gogs_by_gopname

GHashTable* _mate_config::gogs_by_gopname

Maps GOP name → LoAL of key AVPLs for GOG matching

## ◆ gopcfgs

GHashTable* _mate_config::gopcfgs

Hash table of GOP configurations, keyed by mate_cfg_gop::name

## ◆ gops_by_pduname

GHashTable* _mate_config::gops_by_pduname

Maps PDU config name → GOP config for direct GOP lookup

## ◆ hfid_mate

int _mate_config::hfid_mate

Root header field ID for the MATE dissector

## ◆ hfrs

GArray* _mate_config::hfrs

Array of hf_register_info entries for all dynamically registered fields

## ◆ mate_lib_path

char* _mate_config::mate_lib_path

Primary search path for MATE "Include" configuration files

## ◆ num_fields_wanted

unsigned _mate_config::num_fields_wanted

Number of entries in wanted_hfids

## ◆ pducfglist

GPtrArray* _mate_config::pducfglist

Ordered list of PDU configurations in dissection execution order

## ◆ pducfgs

GHashTable* _mate_config::pducfgs

Hash table of PDU configurations, keyed by mate_cfg_pdu::name

## ◆ transfs

GHashTable* _mate_config::transfs

Hash table of named AVPL transformations, keyed by transform name

## ◆ wanted_hfids

GArray* _mate_config::wanted_hfids

Array of hfids for all protocols and fields MATE monitors

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/mate/mate.h